// Light.h: interface for the CLight class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LIGHT_H__F52364A3_5BFC_11D3_A9DB_525400E10345__INCLUDED_)
#define AFX_LIGHT_H__F52364A3_5BFC_11D3_A9DB_525400E10345__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CLight  
{
public:
	bool m_valid;			// si false, ne peut servir qu'a manipuler une autre instance
	void RePos();
	void SetCarac(GLfloat *ambient, GLfloat *diffuse, GLfloat *specular);
	void Etat(bool etat);
	void SetPos(GLfloat x, GLfloat y, GLfloat z);
	void SetPos(GLfloat *p);
	CLight(GLfloat *l);
	virtual ~CLight();
	inline GLuint GetNum() {return (GL_LIGHT0 + m_num);};

private:
	static GLint m_max_lights;
	static bool *m_used;
	GLuint m_num;
	GLfloat m_pos[4];
};

#endif // !defined(AFX_LIGHT_H__F52364A3_5BFC_11D3_A9DB_525400E10345__INCLUDED_)
